# this script can be used to start the pointer-capture-applet or
# dwell-click-applet from the command-line.

#!/bin/bash

applet_key=/apps/panel/general/applet_id_list
panel_key=/apps/panel/general/toplevel_id_list

if [ "$1" = "pointer-capture" ]; then
  oafiid=OAFIID:PointerCaptureApplet
elif [ "$1" = "dwell-click" ]; then
  oafiid=OAFIID:DwellClickApplet
else
  echo "Usage: $0 <pointer-capture / dwell-click>"
  exit 1
fi

name=$1	

# Find a valid panel name
panel=`gconftool-2 --get $panel_key`
panel=`echo $panel | cut -d , -f 1 | sed -e "s|\[||" -e "s|]||"`

# Create an entry file from the template
sed -e "s|\@NAME\@|$name|"     \
    -e "s|\@PANEL\@|$panel|"   \
    -e "s|\@OAFIID\@|$oafiid|" \
    < template.xml > $name.xml

# Load the entry file
gconftool-2 --load $name.xml

# Add the new applet to the list of active applets
list=`gconftool-2 --get $applet_key`
list=`echo $list | sed "s|]|,$name]|"`
gconftool-2 -t list --list-type=string --set $applet_key "$list"

# Delete the entry file
rm -f $name.xml

echo "Installed Applet $name on $panel"
