/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 *
 * Copyright © 2007 Gerd Kohlberger <lowfi@chello.at>
 */

#ifndef __MT_DBUS_H__
#define __MT_DBUS_H__

#define MOUSETWEAKS_DBUS_SERVICE     "org.freedesktop.mousetweaks"
#define MOUSETWEAKS_DBUS_INTERFACE   "org.freedesktop.mousetweaks"
#define MOUSETWEAKS_DBUS_PATH_MAIN   "/org/freedesktop/mousetweaks/main"
#define MOUSETWEAKS_DBUS_PATH_APPLET "/org/freedesktop/mousetweaks/applet"

#define CLICK_TYPE_SIGNAL  "clicktype"
#define RESTORE_SIGNAL     "restore"
#define ACTIVE_SIGNAL      "active"
#define SHOW_DIALOG_SIGNAL "dialog"

#include <glib.h>

G_BEGIN_DECLS

DBusConnection * mt_dbus_init	     (gpointer data);

void		 mt_dbus_fini	     (DBusConnection *connection);

void		 mt_dbus_send_signal (DBusConnection *connection,
				      const gchar    *type,
				      gint	     arg);

G_END_DECLS

#endif /* __MT_DBUS_H__ */
